<html>
<head>
<title>OGRE: Ogre::ResourceBackgroundQueue::QueuedNotification Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>::<a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html">QueuedNotification</a></div>
<h1>Ogre::ResourceBackgroundQueue::QueuedNotification Struct Reference</h1><!-- doxytag: class="Ogre::ResourceBackgroundQueue::QueuedNotification" -->Struct that holds details of queued notifications.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#5e7ed618f40dee4159dfc72e0a965ed3">QueuedNotification</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#6cfa88ce9fa2c2e33596daf709d20ffa">QueuedNotification</a> (<a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *l, <a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a> t)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#3ffcf341502424db04b090fe17590fe4">resource</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#e33feab92fe669832b03fbbb25b8b220">opListener</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#99bfe85e719f0b9ad54a61e51151e3fe">ticket</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct that holds details of queued notifications. 
<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00159">159</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="5e7ed618f40dee4159dfc72e0a965ed3"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification" ref="5e7ed618f40dee4159dfc72e0a965ed3" args="(Resource *r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00161">161</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6cfa88ce9fa2c2e33596daf709d20ffa"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification" ref="6cfa88ce9fa2c2e33596daf709d20ffa" args="(Listener *l, BackgroundProcessTicket t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&nbsp;</td>
          <td class="paramname"> <em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a>&nbsp;</td>
          <td class="paramname"> <em>t</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00165">165</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="3ffcf341502424db04b090fe17590fe4"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::QueuedNotification::resource" ref="3ffcf341502424db04b090fe17590fe4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Resource.html">Resource</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#3ffcf341502424db04b090fe17590fe4">Ogre::ResourceBackgroundQueue::QueuedNotification::resource</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00170">170</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e33feab92fe669832b03fbbb25b8b220"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::QueuedNotification::opListener" ref="e33feab92fe669832b03fbbb25b8b220" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#e33feab92fe669832b03fbbb25b8b220">Ogre::ResourceBackgroundQueue::QueuedNotification::opListener</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00172">172</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="99bfe85e719f0b9ad54a61e51151e3fe"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::QueuedNotification::ticket" ref="99bfe85e719f0b9ad54a61e51151e3fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1QueuedNotification.html#99bfe85e719f0b9ad54a61e51151e3fe">Ogre::ResourceBackgroundQueue::QueuedNotification::ticket</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00173">173</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:29 2008
</p>
</body>
</html>
